declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    list: {
        pageInfo: import("../../../../../../../typings").PaginationInfo;
        list: import("../../../../../../../typings").File[];
        loading: boolean;
    };
    content: {
        pageInfo: import("../../../../../../../typings").PaginationInfo;
        list: import("../../../../../../../typings").ContentEntity[];
        loading: boolean;
    };
}>, import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__FETCH_LIST", {
    applicationId: string;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_LIST__PUSH_LIST", {
    list: import("../../../../../../../typings").File[];
    pageInfo: import("../../../../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__FETCH_PAGE_CONTENT_LIST", {
    applicationId: string;
    fileType?: string | undefined;
    fileId: string;
}> | import("typesafe-actions").PayloadAction<"APPLICATION_FILE_PAGES_CONTENT__PUSH_PAGE_CONTENT_LIST", {
    list: import("../../../../../../../typings").ContentEntity[];
    pageInfo: import("../../../../../../../typings").PaginationInfo;
}>>;
export default reducers;
